
pub fn qudratic_curve<T>(f64:x, f64:x2, f64: c) -> T 
where T: Fn(f64) -> f64
{
    return |x| x2 * x.powi(2) + x * x + c;
}

pub fn cubic_bezier<T>(p1: (f64,f64),p2: (f64,f64)) -> T 
where T: Fn(f64) -> f64
{
    return |x| (1.0 - x).powi(3) * p1.0 + 3.0 * (1.0 - x).powi(2) * x * p1.1 + 3.0 * (1.0 - x) * x.powi(2) * p2.0 + x.powi(3) * p2.1;
}
